/*!
  \example cpp/move_circle.cpp

  \brief 「円弧に沿って走る」サンプル

  \author Satofumi KAMIMURA

  $Id: move_circle.cpp 1688 2010-02-11 23:10:16Z satofumi $
*/

#include <qrk_main.h>
#include <mBeegoDrive.h>
#include <delay.h>

using namespace qrk;
using namespace std;


int main(int argc, char *argv[])
{
  static_cast<void>(argc);
  static_cast<void>(argv);

  // 接続
  mBeegoDrive run;
  if (! run.connect("/dev/ttyUSB0")) {
    cout << "BeegoDrive::connect: " << run.what() << endl;
    return 1;
  }

  //////////////////////////////////////////////////////////////////////
  // !!!

  return 0;
}
